QueryRender class

package | phpLDAPadmin
subpackage | Templates
todo | need to add paging

### Methods

## __call()

    __call($method, $args)

Inherited

inherited_from | \Visitor::__call()
inherited_from | \PageRender::__call()

### Parameters

#### $method

#### $args

## __construct()

    __construct($server_id, $template_id)

Inherited

inherited_from | \PageRender::__construct()

### Parameters

#### $server_id

#### $template_id

## Intialise and Render the QueryRender

    accept()

## Draw all hidden attributes

    drawHiddenAttributes()

Inherited

inherited_from | \PageRender::drawHiddenAttributes()

## drawSubTitle()

    drawSubTitle($subtitle)

### Parameters

#### $subtitle

## drawTitle()

    drawTitle($title)

Inherited

inherited_from | \PageRender::drawTitle()

### Parameters

#### $title

## Return the LDAP server ID

    getServerID() : int

Inherited

inherited_from | \Visitor::getServerID()
inherited_from | \PageRender::getServerID()

### Returns

`int`Server ID

## getTemplate()

    getTemplate()

Inherited

inherited_from | \PageRender::getTemplate()

## getTemplateID()

    getTemplateID()

Inherited

inherited_from | \PageRender::getTemplateID()

## setContainer()

    setContainer($dn)

Inherited

inherited_from | \PageRender::setContainer()

### Parameters

#### $dn

## setDN()

    setDN($dn)

Inherited

inherited_from | \PageRender::setDN()

### Parameters

#### $dn

## Draw the current specific value of an attribute

    drawCurrentValueAttribute($attribute, $i)

Inherited

inherited_from | \PageRender::drawCurrentValueAttribute()

### Parameters

#### $attribute

#### $i

## drawCurrentValueBinaryAttribute()

    drawCurrentValueBinaryAttribute($attribute, $i)

Inherited

inherited_from | \PageRender::drawCurrentValueBinaryAttribute()

### Parameters

#### $attribute

#### $i

## Draw a Jpeg Attribute

    drawCurrentValueJpegAttribute($attribute, $i)

Inherited

inherited_from | \PageRender::drawCurrentValueJpegAttribute()

### Parameters

#### $attribute

#### $i

## drawCurrentValuePasswordAttribute()

    drawCurrentValuePasswordAttribute($attribute, $i)

Inherited

inherited_from | \PageRender::drawCurrentValuePasswordAttribute()

### Parameters

#### $attribute

#### $i

## DRAW DISPLAYED CURRENT VALUES *

    drawCurrentValuesAttribute($attribute)

Inherited

inherited_from | \PageRender::drawCurrentValuesAttribute()

### Parameters

#### $attribute

## drawFormReadOnlyValueAttribute()

    drawFormReadOnlyValueAttribute($attribute, $i)

Inherited

inherited_from | \PageRender::drawFormReadOnlyValueAttribute()

### Parameters

#### $attribute

#### $i

## drawFormReadOnlyValueBinaryAttribute()

    drawFormReadOnlyValueBinaryAttribute($attribute, $i)

Inherited

inherited_from | \PageRender::drawFormReadOnlyValueBinaryAttribute()

### Parameters

#### $attribute

#### $i

## drawFormReadOnlyValueJpegAttribute()

    drawFormReadOnlyValueJpegAttribute($attribute, $i)

Inherited

inherited_from | \PageRender::drawFormReadOnlyValueJpegAttribute()

### Parameters

#### $attribute

#### $i

## drawFormReadOnlyValueMultiLineAttribute()

    drawFormReadOnlyValueMultiLineAttribute($attribute, $i)

Inherited

inherited_from | \PageRender::drawFormReadOnlyValueMultiLineAttribute()

### Parameters

#### $attribute

#### $i

## drawFormReadOnlyValuePasswordAttribute()

    drawFormReadOnlyValuePasswordAttribute($attribute, $i)

Inherited

inherited_from | \PageRender::drawFormReadOnlyValuePasswordAttribute()

### Parameters

#### $attribute

#### $i

## drawFormReadOnlyValueShadowAttribute()

    drawFormReadOnlyValueShadowAttribute($attribute, $i)

Inherited

inherited_from | \PageRender::drawFormReadOnlyValueShadowAttribute()

### Parameters

#### $attribute

#### $i

## drawFormReadWriteValueAttribute()

    drawFormReadWriteValueAttribute($attribute, $i)

Inherited

inherited_from | \PageRender::drawFormReadWriteValueAttribute()

### Parameters

#### $attribute

#### $i

## drawFormReadWriteValueBinaryAttribute()

    drawFormReadWriteValueBinaryAttribute($attribute, $i)

Inherited

inherited_from | \PageRender::drawFormReadWriteValueBinaryAttribute()

### Parameters

#### $attribute

#### $i

## drawFormReadWriteValueDateAttribute()

    drawFormReadWriteValueDateAttribute($attribute, $i)

Inherited

inherited_from | \PageRender::drawFormReadWriteValueDateAttribute()

### Parameters

#### $attribute

#### $i

## drawFormReadWriteValueDnAttribute()

    drawFormReadWriteValueDnAttribute($attribute, $i)

Inherited

inherited_from | \PageRender::drawFormReadWriteValueDnAttribute()

### Parameters

#### $attribute

#### $i

## drawFormReadWriteValueGidAttribute()

    drawFormReadWriteValueGidAttribute($attribute, $i)

Inherited

inherited_from | \PageRender::drawFormReadWriteValueGidAttribute()

### Parameters

#### $attribute

#### $i

## drawFormReadWriteValueMultiLineAttribute()

    drawFormReadWriteValueMultiLineAttribute($attribute, $i)

Inherited

inherited_from | \PageRender::drawFormReadWriteValueMultiLineAttribute()

### Parameters

#### $attribute

#### $i

## drawFormReadWriteValuePasswordAttribute()

    drawFormReadWriteValuePasswordAttribute($attribute, $i)

Inherited

inherited_from | \PageRender::drawFormReadWriteValuePasswordAttribute()

### Parameters

#### $attribute

#### $i

## drawFormReadWriteValueSelectionAttribute()

    drawFormReadWriteValueSelectionAttribute($attribute, $i)

Inherited

inherited_from | \PageRender::drawFormReadWriteValueSelectionAttribute()

### Parameters

#### $attribute

#### $i

## drawFormReadWriteValueShadowAttribute()

    drawFormReadWriteValueShadowAttribute($attribute, $i)

Inherited

inherited_from | \PageRender::drawFormReadWriteValueShadowAttribute()

### Parameters

#### $attribute

#### $i

## Draw a input value for an attribute - used in a form.

    drawFormValueAttribute($attribute, $i)

Inherited

inherited_from | \PageRender::drawFormValueAttribute()

### Parameters

#### $attribute

#### $i

## drawFormValueObjectClassAttribute()

    drawFormValueObjectClassAttribute($attribute, $i)

Inherited

inherited_from | \PageRender::drawFormValueObjectClassAttribute()

### Parameters

#### $attribute

#### $i

## Draw specific hidden attribute

    drawHiddenValueAttribute($attribute, $i)

Inherited

inherited_from | \PageRender::drawHiddenValueAttribute()

### Parameters

#### $attribute

#### $i

## Draw specific hidden binary attribute

    drawHiddenValueBinaryAttribute($attribute, $i)

Inherited

inherited_from | \PageRender::drawHiddenValueBinaryAttribute()

### Parameters

#### $attribute

#### $i

## DRAW ATTRIBUTE NAME *

    drawNameAttribute($attribute)

Inherited

inherited_from | \PageRender::drawNameAttribute()

### Parameters

#### $attribute

## ATTRIBUTE NOTES

    drawNotesAttribute($attribute)

Inherited

inherited_from | \PageRender::drawNotesAttribute()

### Parameters

#### $attribute

## drawOldValueAttribute()

    drawOldValueAttribute($attribute, $i)

Inherited

inherited_from | \PageRender::drawOldValueAttribute()

### Parameters

#### $attribute

#### $i

## drawOldValueBinaryAttribute()

    drawOldValueBinaryAttribute($attribute, $i)

Inherited

inherited_from | \PageRender::drawOldValueBinaryAttribute()

### Parameters

#### $attribute

#### $i

## Draw a Jpeg Attribute

    drawOldValueJpegAttribute($attribute, $i)

Inherited

inherited_from | \PageRender::drawOldValueJpegAttribute()

### Parameters

#### $attribute

#### $i

## drawOldValuePasswordAttribute()

    drawOldValuePasswordAttribute($attribute, $i)

Inherited

inherited_from | \PageRender::drawOldValuePasswordAttribute()

### Parameters

#### $attribute

#### $i

## DRAW DISPLAYED OLD VALUES *

    drawOldValuesAttribute($attribute)

Inherited

inherited_from | \PageRender::drawOldValuesAttribute()

### Parameters

#### $attribute

## drawShadowDateShadowAttribute()

    drawShadowDateShadowAttribute($attribute)

Inherited

inherited_from | \PageRender::drawShadowDateShadowAttribute()

### Parameters

#### $attribute

## drawTemplateChoice()

    drawTemplateChoice()

## getAutoPostPasswordAttribute()

    getAutoPostPasswordAttribute($attribute, $i)

Inherited

inherited_from | \PageRender::getAutoPostPasswordAttribute()

### Parameters

#### $attribute

#### $i

## May be overloaded in other classes

    getMode()

Inherited

inherited_from | \PageRender::getMode()

## getModeContainer()

    getModeContainer()

Inherited

inherited_from | \PageRender::getModeContainer()

## getNoteAliasAttribute()

    getNoteAliasAttribute($attribute)

Inherited

inherited_from | \PageRender::getNoteAliasAttribute()

### Parameters

#### $attribute

## getNoteHintAttribute()

    getNoteHintAttribute($attribute)

Inherited

inherited_from | \PageRender::getNoteHintAttribute()

### Parameters

#### $attribute

## getNoteRDNAttribute()

    getNoteRDNAttribute($attribute)

Inherited

inherited_from | \PageRender::getNoteRDNAttribute()

### Parameters

#### $attribute

## getNoteROAttribute()

    getNoteROAttribute($attribute)

Inherited

inherited_from | \PageRender::getNoteROAttribute()

### Parameters

#### $attribute

## getNoteRequiredAttribute()

    getNoteRequiredAttribute($attribute)

Inherited

inherited_from | \PageRender::getNoteRequiredAttribute()

### Parameters

#### $attribute

## Process our <post> arguments from the templates

    getPostAttribute($attribute, $i)

Inherited

inherited_from | \PageRender::getPostAttribute()

### Parameters

#### $attribute

#### $i

## Return this LDAP Server object

    getServer() : object

Inherited

inherited_from | \Visitor::getServer()
inherited_from | \PageRender::getServer()

### Returns

`object`DataStore Server

## This function is invoked if we dont know which template we should be using.

    getTemplateChoice() : string

Inherited

inherited_from | \PageRender::getTemplateChoice()

### Returns

`string`Template ID to be used or null if the user was presented with a list.

## Get our templates applicable for this object

    getTemplates()

## Are default queries enabled?

    haveDefaultTemplate()

## Dummy method.

    visitAttribute()

Inherited

..

inherited_from | \PageRender::visitAttribute()

## drawBaseTabs()

    drawBaseTabs()

## drawResultsTable()

    drawResultsTable($base, $results)

### Parameters

#### $base

#### $results

## getAFattrs()

    getAFattrs()

## getAjaxRef()

    getAjaxRef($dn)

### Parameters

#### $dn

## Takes a shadow* attribute and returns the date as an integer.

    shadow_date(array $attribute)

Inherited

inherited_from | \PageRender::shadow_date()

### Parameters

#### $attribute

`array`

Attribute objects

## visitEnd()

    visitEnd()

## visitStart()

    visitStart()

### Properties

## $container

    $container

Inherited

inherited_from | \PageRender::$$container

## $dn

    $dn

Inherited

inherited_from | \PageRender::$$dn

## $page

    $page

Inherited

inherited_from | \PageRender::$$page

## $server_id

    $server_id

Inherited

inherited_from | \Visitor::$$server_id
inherited_from | \PageRender::$$server_id

## $template

    $template

Inherited

inherited_from | \PageRender::$$template

## $template_id

    $template_id

Inherited

inherited_from | \PageRender::$$template_id